Index: /branches/version-2_12-dev/data/class/pages/error/LC_Page_Error.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/error/LC_Page_Error.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/error/LC_Page_Error.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_Error.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Error extends LC_Page_Ex 
-{
+class LC_Page_Error extends LC_Page_Ex {
 
     // {{{ properties
@@ -62,6 +61,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         $this->tpl_mainpage = 'error.tpl';
         $this->tpl_title = 'エラー';
@@ -72,7 +70,4 @@
         $objHelperPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
         $objHelperPlugin->arrRegistedPluginActions = array();
-
-        // キャッシュから店舗情報取得（DBへの接続は行わない）
-        $this->arrSiteInfo = SC_Helper_DB_Ex::sfGetBasisDataCache(false);
     }
 
@@ -82,6 +77,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -94,6 +88,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         switch ($this->type) {
@@ -181,6 +174,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -189,6 +181,5 @@
      * エラーページではトランザクショントークンの自動検証は行わない
      */
-    function doValidToken()
-    {
+    function doValidToken() {
         // queit.
     }
Index: /branches/version-2_12-dev/data/class/pages/error/LC_Page_Error_DispError.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/error/LC_Page_Error_DispError.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/error/LC_Page_Error_DispError.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $Id$
  */
-class LC_Page_Error_DispError extends LC_Page_Admin_Ex 
-{
+class LC_Page_Error_DispError extends LC_Page_Admin_Ex {
 
     // }}}
@@ -46,6 +45,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         $this->template = LOGIN_FRAME;
         $this->tpl_mainpage = 'login_error.tpl';
@@ -57,7 +55,4 @@
         $objHelperPlugin = SC_Helper_Plugin_Ex::getSingletonInstance($this->plugin_activate_flg);
         $objHelperPlugin->arrRegistedPluginActions = array();
-
-        // キャッシュから店舗情報取得（DBへの接続は行わない）
-        $this->arrSiteInfo = SC_Helper_DB_Ex::sfGetBasisDataCache(false);
     }
 
@@ -67,6 +62,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -78,6 +72,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         switch ($this->type) {
@@ -107,6 +100,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -115,6 +107,5 @@
      * エラーページではトランザクショントークンの自動検証は行わない
      */
-    function doValidToken()
-    {
+    function doValidToken() {
         // queit.
     }
Index: /branches/version-2_12-dev/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 22608)
+++ /branches/version-2_12-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Cart extends LC_Page_Ex 
-{
+class LC_Page_Cart extends LC_Page_Ex {
 
     // {{{ properties
@@ -54,6 +53,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = '現在のカゴの中';
@@ -68,6 +66,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -80,6 +77,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCartSess = new SC_CartSession_Ex();
@@ -108,18 +104,4 @@
         }
 
-        $objFormParam4OpenCategoryTree =
-            $this->lfInitParam4OpenCategoryTree($_REQUEST);
-        if ($objFormParam4OpenCategoryTree->getValue('product_id')) {
-            $arrQueryString = array(
-                'product_id' => $objFormParam4OpenCategoryTree->getValue(
-                    'product_id'),
-            );
-        } else {
-            $arrQueryString = array(
-                'category_id' => $objFormParam4OpenCategoryTree->getValue(
-                    'category_id'),
-            );
-        }
-
         switch ($this->mode) {
             case 'confirm':
@@ -140,5 +122,6 @@
                 $objCartSess->upQuantity($cart_no, $cartKey);
 
-                SC_Response_Ex::reload($arrQueryString, true);
+
+                SC_Response_Ex::reload(array('category_id' => $objFormParam->getValue('category_id')), true);
                 SC_Response_Ex::actionExit();
                 break;
@@ -146,5 +129,6 @@
                 $objCartSess->downQuantity($cart_no, $cartKey);
 
-                SC_Response_Ex::reload($arrQueryString, true);
+
+                SC_Response_Ex::reload(array('category_id' => $objFormParam->getValue('category_id')), true);
                 SC_Response_Ex::actionExit();
                 break;
@@ -152,5 +136,6 @@
                 $objCartSess->setQuantity($objFormParam->getValue('quantity'), $cart_no, $cartKey);
 
-                SC_Response_Ex::reload($arrQueryString, true);
+
+                SC_Response_Ex::reload(array('category_id' => $objFormParam->getValue('category_id')), true);
                 SC_Response_Ex::actionExit();
                 break;
@@ -158,5 +143,6 @@
                 $objCartSess->delProduct($cart_no, $cartKey);
 
-                SC_Response_Ex::reload($arrQueryString, true);
+
+                SC_Response_Ex::reload(array('category_id' => $objFormParam->getValue('category_id')), true);
                 SC_Response_Ex::actionExit();
                 break;
@@ -187,8 +173,5 @@
         $this->tpl_all_total_inctax = $totalIncTax;
 
-        $this->tpl_category_id =
-            $objFormParam4OpenCategoryTree->getValue('category_id');
-        $this->tpl_product_id =
-            $objFormParam4OpenCategoryTree->getValue('product_id');
+        $this->tpl_category_id = $objFormParam->getValue('category_id');
 
         // ログイン判定
@@ -215,6 +198,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -225,9 +207,10 @@
      * @return object
      */
-    function lfInitParam($arrRequest)
-    {
+    function lfInitParam($arrRequest) {
         $objFormParam = new SC_FormParam_Ex();
         $objFormParam->addParam('カートキー', 'cartKey', INT_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
         $objFormParam->addParam('カートナンバー', 'cart_no', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
+        // PC版での値引き継ぎ用
+        $objFormParam->addParam('カテゴリID', 'category_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         // スマートフォン版での数量変更用
         $objFormParam->addParam('数量', 'quantity', INT_LEN, 'n', array('ZERO_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -240,31 +223,9 @@
 
     /**
-     * PC版での開いているカテゴリーツリーの維持用の入力値
-     *
-     * @return object
-     */
-    function lfInitParam4OpenCategoryTree($arrRequest)
-    {
-        $objFormParam = new SC_FormParam_Ex();
-
-        $objFormParam->addParam('カテゴリID', 'category_id', INT_LEN, 'n',
-            array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n',
-            array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
-
-        // 値の取得
-        $objFormParam->setParam($arrRequest);
-        // 入力値の変換
-        $objFormParam->convParam();
-        return $objFormParam;
-    }
-
-    /**
      * order_temp_id の更新
      *
      * @return
      */
-    function lfUpdateOrderTempid($pre_uniqid,$uniqid)
-    {
+    function lfUpdateOrderTempid($pre_uniqid,$uniqid) {
         $sqlval['order_temp_id'] = $uniqid;
         $where = 'order_temp_id = ?';
@@ -282,6 +243,5 @@
      * @return void
      */
-    function lfGetCartPrevUrl(&$session,$referer)
-    {
+    function lfGetCartPrevUrl(&$session,$referer) {
         if (!preg_match('/cart/', $referer)) {
             if (!empty($session['cart_referer_url'])) {
@@ -307,6 +267,5 @@
      * @return void
      */
-    function lfSetCurrentCart(&$objSiteSess, &$objCartSess, $cartKey)
-    {
+    function lfSetCurrentCart(&$objSiteSess, &$objCartSess, $cartKey) {
         // 正常に登録されたことを記録しておく
         $objSiteSess->setRegistFlag();
Index: /branches/version-2_12-dev/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Contact extends LC_Page_Ex 
-{
+class LC_Page_Contact extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         if (SC_Display_Ex::detectDevice() == DEVICE_TYPE_MOBILE) {
@@ -68,6 +66,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -80,6 +77,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -144,6 +140,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -158,6 +153,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
 
         $objFormParam->addParam('お名前(姓)', 'name01', STEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
@@ -184,6 +178,5 @@
      * @return array 入力チェック結果の配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力データを渡す。
         $arrForm =  $objFormParam->getHashArray();
@@ -199,6 +192,5 @@
      * @return void
      */
-    function lfSendMail(&$objPage)
-    {
+    function lfSendMail(&$objPage) {
         $CONF = SC_Helper_DB_Ex::sfGetBasisData();
         $objPage->tpl_shopname = $CONF['shop_name'];
Index: /branches/version-2_12-dev/data/class/pages/contact/LC_Page_Contact_Complete.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Contact_Complete extends LC_Page_Ex 
-{
+class LC_Page_Contact_Complete extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = 'お問い合わせ(完了ページ)';
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -67,6 +64,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // do nothing...
@@ -80,6 +76,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/regist/LC_Page_Regist.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/regist/LC_Page_Regist.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/regist/LC_Page_Regist.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Regist extends LC_Page_Ex 
-{
+class LC_Page_Regist extends LC_Page_Ex {
 
     // {{{ properties
@@ -45,6 +44,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -67,6 +64,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         switch ($this->getMode()) {
@@ -96,6 +92,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -108,6 +103,5 @@
      * @return string $arrRegist['secret_key'] 本登録ID
      */
-    function lfRegistData($array)
-    {
+    function lfRegistData($array) {
         $objQuery                   = SC_Query_Ex::getSingletonInstance();
         $arrRegist['secret_key']    = SC_Helper_Customer_Ex::sfGetUniqSecretKey(); //本登録ID発行
@@ -129,6 +123,5 @@
      * @return array エラーの配列
      */
-    function lfCheckError($array)
-    {
+    function lfCheckError($array) {
         $objErr     = new SC_CheckError_Ex($array);
 
@@ -152,6 +145,5 @@
      * @return void
      */
-    function lfSendRegistMail($registSecretKey)
-    {
+    function lfSendRegistMail($registSecretKey) {
         $objQuery       = SC_Query_Ex::getSingletonInstance();
         $objCustomer    = new SC_Customer_Ex();
Index: /branches/version-2_12-dev/data/class/pages/regist/LC_Page_Regist_Complete.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_Regist_Complete.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Regist_Complete extends LC_Page_Ex 
-{
+class LC_Page_Regist_Complete extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = '会員登録(完了ページ)';
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -66,6 +63,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -77,6 +73,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/abouts/LC_Page_Abouts.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_Abouts.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Abouts extends LC_Page_Ex 
-{
+class LC_Page_Abouts extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_page_category = 'abouts';
@@ -57,6 +55,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -69,6 +66,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $this->objSiteInfo->data = SC_Helper_DB_Ex::sfGetBasisData();
@@ -85,6 +81,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Charge.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Charge.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Charge.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Guide_Charge extends LC_Page_Ex 
-{
+class LC_Page_Guide_Charge extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -76,6 +72,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_About.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_About.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_About.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Guide_About extends LC_Page_Ex 
-{
+class LC_Page_Guide_About extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     $masterData = new SC_DB_MasterData_Ex();
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -67,6 +64,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -78,6 +74,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Kiyaku.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Kiyaku.php	(revision 22570)
+++ /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Kiyaku.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Guide_Kiyaku extends LC_Page_Ex 
-{
+class LC_Page_Guide_Kiyaku extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $this->lfGetKiyaku(intval($_GET['page']), $this);
@@ -78,6 +74,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -90,8 +85,8 @@
      * @return void
      */
-    function lfGetKiyaku($index, &$objPage)
-    {
-        $objKiyaku = new SC_Helper_Kiyaku_Ex();
-        $arrKiyaku = $objKiyaku->getList();
+    function lfGetKiyaku($index, &$objPage) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->setOrder('rank DESC');
+        $arrKiyaku = $objQuery->select('kiyaku_title, kiyaku_text', 'dtb_kiyaku', 'del_flg <> 1');
 
         $number = count($arrKiyaku);
Index: /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Privacy.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Privacy.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Privacy.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Guide_Privacy extends LC_Page_Ex 
-{
+class LC_Page_Guide_Privacy extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -76,6 +72,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Guide extends LC_Page_Ex 
-{
+class LC_Page_Guide extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -76,6 +72,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Usage.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Usage.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/guide/LC_Page_Guide_Usage.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Guide_Usage extends LC_Page_Ex 
-{
+class LC_Page_Guide_Usage extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -65,6 +62,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
 
@@ -76,6 +72,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/forgot/LC_Page_Forgot.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 22580)
+++ /branches/version-2_12-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Forgot extends LC_Page_Ex 
-{
+class LC_Page_Forgot extends LC_Page_Ex {
 
     // {{{ properties
@@ -57,6 +56,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = 'パスワードを忘れた方';
@@ -77,6 +75,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -89,6 +86,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // パラメーター管理クラス
@@ -151,6 +147,5 @@
      * @return string エラー文字列 問題が無ければNULL
      */
-    function lfCheckForgotMail(&$arrForm, &$arrReminder)
-    {
+    function lfCheckForgotMail(&$arrForm, &$arrReminder) {
         $errmsg = NULL;
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -180,6 +175,5 @@
      * @return void
      */
-    function lfInitMailCheckParam(&$objFormParam, $device_type)
-    {
+    function lfInitMailCheckParam(&$objFormParam, $device_type) {
         $objFormParam->addParam('お名前(姓)', 'name01', STEXT_LEN, 'aKV', array('EXIST_CHECK', 'NO_SPTAB', 'SPTAB_CHECK' ,'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('お名前(名)', 'name02', STEXT_LEN, 'aKV', array('EXIST_CHECK', 'NO_SPTAB', 'SPTAB_CHECK' , 'MAX_LENGTH_CHECK'));
@@ -199,6 +193,5 @@
      * @return string エラー文字列 問題が無ければNULL
      */
-    function lfCheckForgotSecret(&$arrForm, &$arrReminder)
-    {
+    function lfCheckForgotSecret(&$arrForm, &$arrReminder) {
         $errmsg = '';
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -260,6 +253,5 @@
      * @return void
      */
-    function lfInitSecretCheckParam(&$objFormParam, $device_type)
-    {
+    function lfInitSecretCheckParam(&$objFormParam, $device_type) {
         // メールチェックと同等のチェックを再度行う
         $this->lfInitMailCheckParam($objFormParam, $device_type);
@@ -275,6 +267,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -291,6 +282,5 @@
      * FIXME: メールテンプレート編集の方に足すのが望ましい
      */
-    function lfSendMail(&$CONF, $email, $customer_name, $new_password)
-    {
+    function lfSendMail(&$CONF, $email, $customer_name, $new_password) {
         // パスワード変更お知らせメール送信
         $objMailText = new SC_SiteView_Ex(false);
Index: /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 22570)
+++ /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Entry_Kiyaku extends LC_Page_Ex 
-{
+class LC_Page_Entry_Kiyaku extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_title = 'ご利用規約';
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -66,6 +63,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $arrKiyaku = $this->lfGetKiyakuData();
@@ -87,6 +83,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -101,6 +96,5 @@
      * @return string 規約の内容をテキストエリアで表示するように整形したデータ
      */
-    function lfMakeKiyakuText($arrKiyaku, $max, $offset)
-    {
+    function lfMakeKiyakuText($arrKiyaku, $max, $offset) {
         $this->tpl_kiyaku_text = '';
         for ($i = 0; $i < $max; $i++) {
@@ -118,8 +112,10 @@
      * @return array $arrKiyaku 規約の配列
      */
-    function lfGetKiyakuData()
-    {
-        $objKiyaku = new SC_Helper_Kiyaku_Ex();
-        $arrKiyaku = $objKiyaku->getList();
+    function lfGetKiyakuData() {
+
+        $objQuery   = SC_Query_Ex::getSingletonInstance();
+
+        $objQuery->setOrder('rank DESC');
+        $arrKiyaku  = $objQuery->select('kiyaku_title, kiyaku_text', 'dtb_kiyaku', 'del_flg <> 1');
 
         return $arrKiyaku;
@@ -134,6 +130,5 @@
      * @return int
      */
-    function lfSetOffset($offset)
-    {
+    function lfSetOffset($offset) {
         return is_numeric($offset) === true ? intval($offset) : 1;
     }
Index: /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Entry_EmailMobile extends LC_Page_Ex 
-{
+class LC_Page_Entry_EmailMobile extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -66,6 +63,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCustomer    = new SC_Customer_Ex();
@@ -99,6 +95,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -110,6 +105,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('メールアドレス', 'email_mobile', null, 'a',
                                 array('NO_SPTAB', 'EXIST_CHECK', 'CHANGE_LOWER', 'EMAIL_CHAR_CHECK', 'EMAIL_CHECK', 'MOBILE_EMAIL_CHECK'));
@@ -124,6 +118,5 @@
      * @return array エラー情報の配列
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objFormParam->convParam();
         $objErr         = new SC_CheckError_Ex();
@@ -147,6 +140,5 @@
      * @return void
      */
-    function lfRegistEmailMobile($email_mobile, $customer_id)
-    {
+    function lfRegistEmailMobile($email_mobile, $customer_id) {
         $objQuery = SC_Query_Ex::getSingletonInstance();
         $objQuery->update('dtb_customer',
